%define anolis_release 1
Name:           autotrace
Version:        0.31.9
Release: %{anolis_release}%{dist}
Summary:        Utility for converting bitmaps to vector graphics
License:        GPLv2+ and LGPLv2+
URL:            http://autotrace.sourceforge.net/
Source0:	https://github.com/%{name}/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:	pstoedit-devel
BuildRequires:  bzip2-devel
BuildRequires:  freetype-devel
BuildRequires:  libexif-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel > 1:1.2
BuildRequires:  libtiff-devel
BuildRequires:  libxml2-devel
BuildRequires:  pstoedit-devel
# For autoreconf
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	make
BuildRequires:	procps-ng

%description
AutoTrace is a program for converting bitmaps to vector graphics.

Supported input formats include BMP, TGA, PNM, PPM, and any format
supported by ImageMagick, whereas output can be produced in
Postscript, SVG, xfig, SWF, and others.

%package devel
Summary:        Header files for autotrace
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       pstoedit-devel

%description devel
This package contains header files and development libraries for autotrace.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -ivf
%configure --without-magick --disable-static

# remove rpaths
# FIXME is it still reqired?
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}
%generate_compatibility_deps

%files -f %{name}.lang
%license COPYING COPYING.LIB
%{_bindir}/autotrace
%{_libdir}/*.so.*
%{_mandir}/man[^3]/*

%dir %{abidir}
%{abidir}/*.dump
%{abidir}/autotrace-option.list

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/autotrace.pc
%{_includedir}/autotrace/

%files doc
%doc AUTHORS ChangeLog FAQ NEWS README.md THANKS TODO INSTALL

%changelog
* Mon Mar 27 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.31.9-1
- Init package from upstream
